package com.xhkjedu.sapi.mapper.cloud;

import com.xhkjedu.base.TkMapper;
import com.xhkjedu.sapi.model.cloud.TCloud;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface CloudMapper extends TkMapper<TCloud> {
    //修改主题
    void updateTheme(@Param("cloud") TCloud cloud);

    //修改区域基本信息
    void updateInfo(@Param("cloud") TCloud cloud);

    //获取详情
    TCloud getCloud();

    //区域学段列表
    List<Integer> listLevel();

    //获取区域升级时间段限制
    TCloud getCloudUpTime();
}
